Subject: Re: bug#44624: 28.0.50; C-h f fails with search failed "*\n"
From: Jean Louis <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Jean Louis <[email-masked]>
Date: Sat, 14 Nov 2020 14:08:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

* Eli Zaretskii <[email-masked]> [2020-11-14 11:10]:
> > Date: Sat, 14 Nov 2020 10:52:36 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > * Eli Zaretskii <[email-masked]> [2020-11-14 10:13]:
> > > > From: Jean Louis <[email-masked]>
> > > > Date: Sat, 14 Nov 2020 00:09:00 +0300
> > > > 
> > > > 
> > > > I cannot in this git version invoke C-h f as it fails each time.
> > > > 
> > > > C-h f for find-file says: help-fns--first-release: Search failed: "
> > > > *"
> > > 
> > > I cannot reproduce this with today's master.  Suggest to update from
> > > Git and perhaps also "make bootstrap".
> > 
> > Upgraded, git fsck, make bootstrap, still emacs -Q gives me that.
> 
> What does "git status" say in the top-level directory of the cloned
> Emacs Git repository?  In particular, do you have any local changes in
> etc/NEWS* files, or renamed/deleted some of them?

Before seeing this email I have done git fsck and anything to reset
it. Before that I was doing patch of Stefen for text scaling the
tabulated-list-mode.

As I have done patch incorrectly or maybe repeated it first time, this
happened. Problem is probably not related to that patch.

I have git clone --depth 1 the latest git and built Emacs again. Now is all fine and working, closing this bug.